Search by Hashtag
curl --request GET \
--url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/search/hashtag \
--header 'Authorization: Bearer <token>'import requests
url = "https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/search/hashtag"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/search/hashtag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
YouTube
Search by Hashtag
Search YouTube and get matching videos, channels, and playlists
GET
/
api
/
v1
/
openclaw
/
youtube
/
search
/
hashtag
Search by Hashtag
Parameters
string
required
Hashtag to search for (e.g.,
funny)string
Continuation token to get more videos. Get ‘continuationToken’ from previous response. (e.g.,
4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB)string
Search for all types of content or only shorts
Example Request
curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/search/hashtag?hashtag=funny" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Example Response
{
"success": true,
"data": {
"videos": [
{
"type": "video",
"id": "jXMISgQq9MM",
"url": "https://www.youtube.com/watch?v=jXMISgQq9MM",
"title": "Epic fails 🤣🤣🤣 #shorts #funny #fails",
"thumbnail": "...",
"channel": {
"id": "...",
"title": "ZZang Funny"
},
"viewCountInt": 22668056,
"publishedTimeText": "4 weeks ago",
"lengthText": "1:00",
"lengthSeconds": 60
}
],
"continuationToken": "4qmFsgLtBRIJRkVoYX...."
},
"meta": {
"platform": "youtube",
"endpoint": "search-hashtag",
"request_id": "req_abc123"
}
}
Response data is returned directly from the Yoinkit API.
⌘I